import { useState, useEffect } from "react";
import withLayout from "@/layout";
import { ScrollView } from "@tarojs/components";
import "@/assets/css/iconfont.css";
import "./index.scss";
import { fetch } from "@/utils/request";
import { API_VIDEO_DETAIL } from "@/constants/api";
import { formatDate } from "@/utils/chatDate";

export default withLayout((props) => {
  const { id } = props.router.params;

  const [data, setData] = useState({});
  console.log(id, "queryLiveDetail");
  const getData = () => {
    fetch({ url: `${API_VIDEO_DETAIL}/${id}` }).then(res=>{
      setData(res)
    });
  };

  useEffect(() => {
    if (id) {
      getData();
    }
  }, [id]);

  return (
    <view className="Page videoDetail">
      <ScrollView scroll-y>
        <view className="Content">
          {/* 视频 */}
          <view className="VideoContainer">
            <video
              id="myVideo"
              src={data.videoUrl}
              // binderror="videoErrorCallback"
              // danmu-list="{{danmuList}}"
              // enable-danmu
              // danmu-btn
              // show-center-play-btn='{{false}}'
              // show-play-btn="{{true}}"
              // controls
              // picture-in-picture-mode="{{['push', 'pop']}}"
              // bindenterpictureinpicture='bindVideoEnterPictureInPicture'
              // bindleavepictureinpicture='bindVideoLeavePictureInPicture'
            ></video>
          </view>

          {/* 视频信息 */}
          <view className="Info">
            <text className="Name">{data.name}</text>
            <text className="Time">
              {`时间：${formatDate(data.createdTime, 'yyyy年M月d日')}`}
            </text>
          </view>

          {/* 详情 */}
          <view className="Detail">
            <view className="Title">
              <text>视频详情</text>
            </view>
            <view className="Node"></view>
            {data.remark}
            <view className="Share">
              <text>分享好友</text>
            </view>
          </view>
        </view>
      </ScrollView>
    </view>
  );
});
